Package mpi

## Class LongInt

- java.lang.Object
- - mpi.Struct
  - - mpi.LongInt

-     public final class LongInt
      extends Struct

  Struct class for `MPI.LONG_INT` datatype.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `class` | `LongInt.Data` | Class for reading/writing data in a struct stored in a byte buffer.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `LongInt​(int longSize, int intOff, int intSize)` | The struct object will be created only in MPI class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected LongInt.Data` | `newData()` | Creates a Data object.

    - ### Methods inherited from class mpi.Struct

      `addByte, addByte, addChar, addChar, addData, addData, addDouble, addDouble, addFloat, addFloat, addInt, addInt, addLong, addLong, addShort, addShort, addStruct, addStruct, getData, getData, getData, getData, getExtent, getType, setOffset`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LongInt

          protected LongInt​(int longSize,
                            int intOff,
                            int intSize)

      The struct object will be created only in MPI class.
      Parameters:
        `longSize` - size of long
        `intOff` - int offset
        `intSize` - int size
      See Also:
        `MPI.longInt`

  - ### Method Detail

    - #### newData

          protected LongInt.Data newData()

      Creates a Data object.
      Specified by:
        `newData` in class `Struct`
      Returns:
        new Data object.